Name:           python3-fx2
Version:        0.13
Release:        2%{?dist}
Summary:        Chip support package for Cypress EZ-USB FX2 series microcontrollers

License:        0BSD
URL:            https://github.com/whitequark/libfx2
Source:         https://github.com/whitequark/libfx2/archive/v%{version}/%{name}-%{version}.tar.gz

Patch:          relax-setutools-version.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%description
The fx2 Python package allows interacting with Cypress EZ-USB FX2 series
microcontrollers.

%prep
%autosetup -n libfx2-%{version}/software
mv ../LICENSE-0BSD.txt .

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION="%{version}"
%pyproject_buildrequires -t

%build
export SETUPTOOLS_SCM_PRETEND_VERSION="%{version}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fx2

%check
%pyproject_check_import

# XXX: separate package for `fx2tool` ?
%files -f %{pyproject_files}
%license LICENSE-0BSD.txt
%doc README.rst
%{_bindir}/fx2tool

%changelog
* Thu Aug 15 2024 Antoine Damhet <antoine.damhet@gmail.com> - 0.13-2
- Bump for rawhide rebuild (python 3.13 support)
* Sat May 04 2024 Antoine Damhet <antoine.damhet@gmail.com> - 0.13-1
- Initial package version
